Application: gvSIG desktop - gvSIG bugs #1213
Fallo al descartar en guardar edicion/Discard changes in edition fails
10/03/2012 10:47 AM - Abenchara Socorro

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Vector editing

Target version: 2.0.0-rc1

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2055 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: discard, descartar, edition, edicion Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

ESP - Fallo al descartar en guardar edicion

Pasos

1.- Abrir gvSIG

2.- Abrir VISTA NUEVA

3.- Abrir capa snap_polygon.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/)

4.- Seleccionar la capa en la ToC, luego menu Capa/Comenzar Edicion

5.- Menu Capa/Insertar/Poligono y dibujar un poligono

6.- Menu Capa/Terminar Edicién y pinchar en 'Descartar’

7.- Menl Capa/Comenzar Edicién

8.- Menu Capa/Insertar/Poligono y dibujar un poligono

9.- Menu Capa/Terminar Edicién y pinchar en 'Guardar’'

10.- Menu Capa/Comenzar Edicion y sale una pantalla de error 'Java heap space’

Siguiendo esos pasos sale la misma pantalla de error tanto para 'Capa/Comenzar edicién' como pinchando con el botén derecho del
raton en la capa seleccionada en la ToC.

Ocurre lo mismo para otras herramientas como polilinea, linea, spline.

ENG - Discard changes in edition fails

Steps

1.- Open gvSIG

2.- Open NEW VIEW

3.- Open layer snap_polygon.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/)

4.- Select layer in Toc, then menu Layer/Start Edition

5.- Go to Menu Layer/Insert/Polygon and insert one

6.- Go to Menu Layer/Finish edition and click 'Discard’

7.- Go to Menu Layer/Start Edition

8.- Go to Menu Layer/Insert/Polygon and insert one

9.- Go to Menu Layer/Finish edition and click 'Save'

10.- Go to Menu Layer/Start Edition and appears a window error 'Java heap space'

Following these steps happens the same for both ways of starting edition: 'Layer/Start edition' or clicking with the right button of mouse
on the selected layer in the ToC.

The same applies to other tools such as polyline, line, spline.
http://downloads.gvsig.org/download/geodata/vector/SHP2D/

History

#1 - 10/03/2012 04:09 PM - Juan Lucas Dominguez
- Assignee set to Juan Lucas Dominguez

#2 - 10/03/2012 04:14 PM - Juan Lucas Dominguez
- Status changed from New to Fixed

gvsig-desktop:r38994

Clearing selection when editing stops to prevent conflicts with selection.

#3 - 10/08/2012 11:52 AM - Abenchara Socorro

- Status changed from Fixed to Closed

No pasa en el build 2056
Doesn't happen in build 2056
